> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-10/v10-4-0.md).

# Version 10.4.0 Changelog (September 13, 2023)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.4.0.82776

Release Date: September 13, 2023

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 10.4.0 of the Apryse cross-platform APIs. More information can be found on What's new for cross-platform APIs. Most non-module related changes apply to Android.

## Fixed

* Fixed some form fields rendering with black background when selected
* Fixed `CollabManager.importAnnotations` not retaining custom appearance
* Fixed XML malform error when creating Rich-Content FreeText annotations
* Fixed annotation's orientation when moving annotation to rotated pages
* Optimized layout inflation when components are hidden in Viewer

## APIs

### PDFViewCtrlTools package

#### ReflowControl

*new* method: `void setTextSelectionMenuEnabled(boolean)`

#### ReflowPagerAdapter

*new* method: `boolean isTextSelectionMenuEnabled()`

*new* method: `void setTextSelectionMenuEnabled(boolean)`

#### FreehandCreate

*modified* static method: `ArrayList<ArrayList<PointF>> createPageStrokesFromArrayObj(Obj)`

|       | Declaration                                                                                   |
| ----- | --------------------------------------------------------------------------------------------- |
| From: | public static ArrayList\<ArrayList> createPageStrokesFromArrayObj(Obj) throws PDFNetException |
| To:   | public static List\<List> createPageStrokesFromArrayObj(Obj) throws PDFNetException           |

#### ToolManager

*new* method: `boolean isReflowTextSelectionMenuEnabled()`

*new* method: `void setReflowTextSelectionMenuEnabled(boolean)`

#### AnnotUtils

*new* static method: `void refreshAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

*new* static method: `void refreshLineAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

*new* static method: `void refreshPolyAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

#### PressureInkUtils

*new* static method: `boolean refreshAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

#### ReflowWebView

*new* method: `ActionMode disabledActionMode()`

*new* method: `void setTextSelectionMenuEnabled(boolean)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-10/v10-4-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
